AM263Px MCU+ SDK: UART_Object Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
UART_Object Struct Reference
APIs for SOC Specific Device Drivers » APIs for UART

## Detailed Description

UART driver object.

## Data Fields
UART_Params | prms
const uint8_t * | writeBuf
uint32_t | writeCount
uint32_t | writeSizeRemaining
uint8_t * | readBuf
uint32_t | readCount
uint32_t | readSizeRemaining
uint32_t | rxTimeoutCnt
uint32_t | readErrorCnt
UART_Transaction * | readTrans
UART_Transaction * | writeTrans
uint32_t | isOpen
SemaphoreP_Object * | lock
SemaphoreP_Object | lockObj
SemaphoreP_Object * | readTransferSem
SemaphoreP_Object | readTransferSemObj
SemaphoreP_Object * | writeTransferSem
SemaphoreP_Object | writeTransferSemObj
HwiP_Object * | hwiHandle
HwiP_Object | hwiObj
void * | uartDmaHandle
UARTLLD_Object | uartLld_object
UARTLLD_Handle | uartLld_handle
UARTLLD_InitHandle | uartLld_initHandle
UARTLLD_InitObject | uartLld_initObject

## Field Documentation

## ◆ prms

UART_Params UART_Object::prms

Open parameter as provided by user

## ◆ writeBuf

const uint8_t* UART_Object::writeBuf

Buffer data pointer

## ◆ writeCount

uint32_t UART_Object::writeCount

Number of Chars sent

## ◆ writeSizeRemaining

uint32_t UART_Object::writeSizeRemaining

Chars remaining in buffer

## ◆ readBuf

uint8_t* UART_Object::readBuf

Buffer data pointer

## ◆ readCount

uint32_t UART_Object::readCount

Number of Chars read

## ◆ readSizeRemaining

uint32_t UART_Object::readSizeRemaining

Chars remaining in buffer

## ◆ rxTimeoutCnt

uint32_t UART_Object::rxTimeoutCnt

Receive timeout error count

## ◆ readErrorCnt

uint32_t UART_Object::readErrorCnt

Line status error count

## ◆ readTrans

UART_Transaction* UART_Object::readTrans

Pointer to the current read transaction

## ◆ writeTrans

UART_Transaction* UART_Object::writeTrans

Pointer to the current write transaction

## ◆ isOpen

uint32_t UART_Object::isOpen

Flag to indicate whether the instance is opened already

## ◆ lock

SemaphoreP_Object* UART_Object::lock

Instance lock - to protect across transfers

## ◆ lockObj

SemaphoreP_Object UART_Object::lockObj

Driver lock object

## ◆ readTransferSem

SemaphoreP_Object* UART_Object::readTransferSem

Read Transfer Sync Sempahore - to sync between transfer completion ISR and task

## ◆ readTransferSemObj

SemaphoreP_Object UART_Object::readTransferSemObj

Read Transfer Sync Sempahore object

## ◆ writeTransferSem

SemaphoreP_Object* UART_Object::writeTransferSem

Write Transfer Sync Sempahore - to sync between transfer completion ISR and task

## ◆ writeTransferSemObj

SemaphoreP_Object UART_Object::writeTransferSemObj

Write Transfer Sync Sempahore object

## ◆ hwiHandle

HwiP_Object* UART_Object::hwiHandle

Interrupt handle for controller ISR

## ◆ hwiObj

HwiP_Object UART_Object::hwiObj

Interrupt object

## ◆ uartDmaHandle

void* UART_Object::uartDmaHandle

Pointer to current transaction struct

## ◆ uartLld_object

UARTLLD_Object UART_Object::uartLld_object

## ◆ uartLld_handle

UARTLLD_Handle UART_Object::uartLld_handle

[IN] Initialization parameters of UART instance

## ◆ uartLld_initHandle

UARTLLD_InitHandle UART_Object::uartLld_initHandle

## ◆ uartLld_initObject

UARTLLD_InitObject UART_Object::uartLld_initObject